import { IdToNameFunction } from '../types/id-to-name-function';
import { ModuleImport } from '../types/module-import';
export declare function formatModuleImports({ moduleImports, idToTypeName, idToFileName, }: {
    moduleImports: ModuleImport[];
    idToTypeName: IdToNameFunction;
    idToFileName: IdToNameFunction;
}): string;
export declare function unifyModuleImport({ moduleImport, idToTypeName, idToFileName, }: {
    moduleImport: ModuleImport;
    idToTypeName: IdToNameFunction;
    idToFileName: IdToNameFunction;
}): {
    path: string;
    properties: string[];
};
