"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatSpaceModel = void 0;
var constants_1 = require("./constants");
var utils_1 = require("./utils");
function formatSpaceModel(_a) {
    var spaceName = _a.spaceName, tsModels = _a.tsModels, idToTypeName = _a.idToTypeName;
    var typeName = utils_1.spaceToTypeName({ spaceName: spaceName, idToTypeName: idToTypeName });
    var properties = tsModels
        .map(function (_a) {
        var id = _a.id;
        return "" + constants_1.INDENT + id + ": " + idToTypeName(id) + ";";
    })
        .join('\n');
    return ("\nexport interface " + typeName + " {\n" + properties + "\n}\n  ").trim();
}
exports.formatSpaceModel = formatSpaceModel;
