import { IdToNameFunction } from '../types/id-to-name-function';
import { TsField, TsModel, TsType } from '../types/ts-model';
export declare function formatTsModel({ tsModel, idToTypeName, }: {
    tsModel: TsModel;
    idToTypeName: IdToNameFunction;
}): string;
export declare function formatTsField({ tsField, idToTypeName, }: {
    tsField: TsField;
    idToTypeName: IdToNameFunction;
}): string;
export declare function formatTsType({ tsType, idToTypeName, }: {
    tsType: TsType;
    idToTypeName: IdToNameFunction;
}): string;
