"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tsModelToFileName = exports.spaceToTypesDirectoryName = exports.spaceToDirectoryName = exports.spaceModelToFileName = exports.idToTypeNameFactory = exports.idToFileNameFactory = exports.formatTsModel = exports.formatSpaceModel = exports.formatModuleImports = exports.formatFileContents = void 0;
var format_file_contents_1 = require("./format-file-contents");
Object.defineProperty(exports, "formatFileContents", { enumerable: true, get: function () { return format_file_contents_1.formatFileContents; } });
var format_module_imports_1 = require("./format-module-imports");
Object.defineProperty(exports, "formatModuleImports", { enumerable: true, get: function () { return format_module_imports_1.formatModuleImports; } });
var format_space_model_1 = require("./format-space-model");
Object.defineProperty(exports, "formatSpaceModel", { enumerable: true, get: function () { return format_space_model_1.formatSpaceModel; } });
var format_ts_model_1 = require("./format-ts-model");
Object.defineProperty(exports, "formatTsModel", { enumerable: true, get: function () { return format_ts_model_1.formatTsModel; } });
var utils_1 = require("./utils");
Object.defineProperty(exports, "idToFileNameFactory", { enumerable: true, get: function () { return utils_1.idToFileNameFactory; } });
Object.defineProperty(exports, "idToTypeNameFactory", { enumerable: true, get: function () { return utils_1.idToTypeNameFactory; } });
Object.defineProperty(exports, "spaceModelToFileName", { enumerable: true, get: function () { return utils_1.spaceModelToFileName; } });
Object.defineProperty(exports, "spaceToDirectoryName", { enumerable: true, get: function () { return utils_1.spaceToDirectoryName; } });
Object.defineProperty(exports, "spaceToTypesDirectoryName", { enumerable: true, get: function () { return utils_1.spaceToTypesDirectoryName; } });
Object.defineProperty(exports, "tsModelToFileName", { enumerable: true, get: function () { return utils_1.tsModelToFileName; } });
