import { Config } from '../types/config';
import { IdToNameFunction } from '../types/id-to-name-function';
export declare function idToTypeNameFactory(config: Pick<Config, 'typePrefix' | 'typeSuffix'>): IdToNameFunction;
export declare function idToFileNameFactory(config: Pick<Config, 'typePrefix' | 'typeSuffix'>): IdToNameFunction;
export declare function spaceToTypeName({ spaceName, idToTypeName, }: {
    spaceName: string;
    idToTypeName: IdToNameFunction;
}): string;
export declare function spaceToDirectoryName({ spaceName, outputDirectory, }: {
    spaceName: string;
    outputDirectory?: string;
}): string;
export declare function spaceToTypesDirectoryName({ spaceName, outputDirectory, }: {
    spaceName: string;
    outputDirectory?: string;
}): string;
export declare function spaceModelToFileName({ spaceName, spaceDirectory, idToFileName, }: {
    spaceName: string;
    spaceDirectory: string;
    idToFileName: IdToNameFunction;
}): string;
export declare function tsModelToFileName({ id, spaceTypesDirectory, idToFileName, }: {
    id: string;
    spaceTypesDirectory: string;
    idToFileName: IdToNameFunction;
}): string;
