"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getSpaceImports = void 0;
var optimize_imports_1 = require("./optimize-imports");
function getSpaceImports(_a) {
    var tsModels = _a.tsModels, idToFileName = _a.idToFileName;
    var spaceImports = tsModels.map(function (_a) {
        var id = _a.id;
        return ({
            type: 'internal',
            id: id,
            nested: true,
        });
    });
    return optimize_imports_1.optimizeImports({ moduleImports: spaceImports, idToFileName: idToFileName });
}
exports.getSpaceImports = getSpaceImports;
