import { ContentFields, ContentType } from 'contentful-management/types';
import { TsModel, TsType } from '../types/ts-model';
export declare function transformContentTypes(contentTypes: ContentType[]): TsModel[];
export declare function transformContentType(contentType: ContentType): TsModel;
export declare function fieldToTsType(field: Pick<ContentFields, 'type' | 'items' | 'linkType' | 'validations'>): TsType;
