export declare type ModuleImport = InternalModuleImport | ExternalModuleImport;
export interface InternalModuleImport {
    type: 'internal';
    id: string;
    nested: boolean;
}
export interface ExternalModuleImport {
    type: 'external';
    package: Package;
    properties: string[];
}
export declare enum Package {
    Contentful = "contentful",
    ContentfulRichTextTypes = "@contentful/rich-text-types"
}
