import { IdToNameFunction } from '../types/id-to-name-function';
import { ExternalModuleImport, InternalModuleImport, ModuleImport } from '../types/module-import';
export declare function optimizeImports({ moduleImports, idToFileName, }: {
    moduleImports: ModuleImport[];
    idToFileName: IdToNameFunction;
}): ModuleImport[];
export declare function groupExternalImports(moduleImports: ExternalModuleImport[]): ExternalModuleImport[];
export declare function groupInternalImports(moduleImports: InternalModuleImport[]): InternalModuleImport[];
